Subject: Re: RMNET QMAP data aggregation with size greater than 16384

From: [email-masked]
Date: Fri, 13 Aug 2021 00:21:21 -0600

> Just an heads-up that when I proposed that urb size there were doubts
> about the value (see
> https://patchwork.ozlabs.org/project/netdev/patch/[email-masked]/#2523774
> and
> https://patchwork.ozlabs.org/project/netdev/patch/[email-masked]/#2523958):
> it is true that this time you are setting the size just when qmap is
> enabled, but I think that Carl's comment about low-cat chipsets could
> still apply.
> 
> Thanks,
> Daniele
> 

Thanks for bringing this up.

Looks like a tunable would be needed to satisfy all users.
Perhaps we can use 32k as default in mux and passthrough mode but allow 
for changes
there if needed through a sysfs.

--
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora 
Forum,
a Linux Foundation Collaborative Project